std::_Enable_special_members< _Default, _Destructor, _Copy, _CopyAssignment, _Move, _MoveAssignment, _Tag > Struct Template Reference
Inheritance diagram for std::_Enable_special_members< _Default, _Destructor, _Copy, _CopyAssignment, _Move, _MoveAssignment, _Tag >:
[legend]

## Detailed Description

### template<bool _Default, bool _Destructor, bool _Copy, bool _CopyAssignment, bool _Move, bool _MoveAssignment, typename _Tag = void>
struct std::_Enable_special_members< _Default, _Destructor, _Copy, _CopyAssignment, _Move, _MoveAssignment, _Tag >

A mixin helper to conditionally enable or disable the special members.

The `_Tag` type parameter is to make mixin bases unique and thus avoid ambiguities.

Definition at line 77 of file enable_special_members.h.

The documentation for this struct was generated from the following file:

- enable_special_members.h